div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row
      div.form-group.col-12.col-lg-10
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-shield
          input(type="text",
                  [disabled]="!tNuevo",
                  placeholder="Usuario",
                  [(ngModel)]="tUsuario.Codusuario",
                  required="",
                  size="sm")#txtCodusuario.ControlInput--Input
      div.form-group.col-12.col-lg-2
        div(role="toolbar",
            aria-label="Toolbar with button groups").btn-toolbar
          div(role="group").btn-group.btn-group-sm.mr-1
            button(type="button", [disabled]="!tNuevo", (click)="Buscar()").btn.btn-outline-primary
              i.fas.fa-search
          div(role="group").btn-group.btn-group-sm
            button(type="button", [disabled]="!tNuevo", (click)="AbrirModal()").btn.btn-outline-info
              i.fas.fa-list
    div.form-row
      div.form-group.col-12
        div.input-group
            textarea(placeholder="Nombre",
                name="Descripcion",
                required="",
                [(ngModel)]="tUsuario.Descripcion",
                rows="3").form-control.form-control-sm
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-address-card
          input(type="text",
                      [disabled]="!tNuevo",
                      placeholder="Cedula",
                      [(ngModel)]="tUsuario.Cedula",
                      required="",
                      size="sm").ControlInput--Input
    div.form-row
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-unlock-alt
          select([(ngModel)]="tEstatusActual", (change)="CambiarEstatus()", size-select="sm").ControlInput--Select
            option(*ngFor="let tEsta of tEstatus",
                [ngValue]="tEsta") {{tEsta.Codestatus}}
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-user-check
          select([(ngModel)]="tTipoActual", (change)="CambiarTipo()", size-select="sm").ControlInput--Select
            option(*ngFor="let tTipo of tTipos",
                    [ngValue]="tTipo") {{tTipo.Codtipo}}
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-at
          input(type="email",
                  [(ngModel)]="tUsuario.Email",
                  placeholder="Email",
                  name="Email",
                  aria-label="Email",
                  aria-describedby="Email",
                  required="",
                  size="sm").ControlInput--Input
  div.form-group.col-12.col-lg-6
    img(src="assets/Usuario.svg").img-fluid.text-center
